//! Parsing helper functions

/// Transform a String with only digits to a number array.
pub fn string_to_usize_vec(input: String) -> Vec<usize> {
    input.chars().map(|x| x.to_digit(10).unwrap() as usize).collect()
}

/// Transform a string to a i128 array.
pub fn string_to_numbers(input: String) -> Vec<i128> {
    input
        .split_whitespace()
        .map(|x| x.parse::<i128>().unwrap())
        .collect()
}

#[test]
fn test_string_to_usize_vec() {
    assert_eq!(vec![1, 2, 3, 4], string_to_usize_vec(String::from("1234")));
}

#[test]
fn test_string_to_numbers() {
    assert_eq!(vec![1, 2, -3, -4], string_to_numbers(String::from("1 2 -3 -4")));
}

